<?php
/**
 * WoWRoster.net WoWRoster
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    2.0.1
 * @svn        SVN: $Id: install.def.php 2.0.1 2007-10-03 12:00:00Z Munazz $
 * @link       http://www.wowroster.net/Forums/viewforum/f=35.html
 * @author     Gorgar, PoloDude, Zeryl, Munazz
 * @package    ItemSets
 * @subpackage Installer
*/
 
if ( !defined('IN_ROSTER') )
{
    exit('Detected invalid access to this file!');
}
 
/**
 * Installer ItemSets
 *
 * @package    ItemSets
 * @subpackage Installer
 */
class ItemSets
{
	var $active = true;
	var $icon = 'ability_mage_moltenarmor';
 
	var $version = '2.0.1';
 
	var $fullname = 'ItemSets';
	var $description = 'ItemSets_Desc';
	var $credits = array(
		array(	"name"=> "Gorgar, PoloDude, Zeryl",
			"info"=> "Original Author"),
		array(	"name"=> "Munazz",
			"info"=> "2.0 Beta adapter")
	);
 
 
	/**
	 * Install Function
	 *
	 * @return bool
	 */
	function install()
	{
		global $installer;
 
		// Create the Config Entry
//		$installer->add_config("'1','startpage','itemsets_conf','display','master'");
		$installer->add_config("'110','itemsets_conf',NULL,'blockframe','menu'");

		$installer->add_config("'1010','defaultset','Tier_4','select{Tier_0^Tier_0|Tier_0.5^Tier_0.5|Tier_1^Tier_1|Tier_2^Tier_2|Tier_3^Tier_3|Tier_3.5^Tier_3.5|Tier_4^Tier_4|Tier_5^Tier_5|Arena_1^Arena_1|Arena_2^Arena_2|ZG^ZG|AQ20^AQ20|AQ40^AQ40|PVP_Rare^PVP_Rare|PVP_Epic^PVP_Epic|Onyxia^Onyxia','itemsets_conf'");

		// Create the menu button 
		$installer->add_menu_button('ItemSets','guild','','ability_mage_moltenarmor');
		$installer->add_menu_button('ItemSets','realm','','ability_mage_moltenarmor');
 
		return true;
	}
 
	/**
	 * Upgrade Function
	 *
	 * @param string $oldversion
	 * @return bool
	 */
	function upgrade($oldversion)
	{
		global $installer;

		// nothing to upgrade from
 
 		return true;
	}
 
	/**
	 * Un-Install Function
	 *
	 * @return bool
	 */
	function uninstall()
	{
		global $installer;
 
		$installer->remove_all_config();
		$installer->remove_all_menu_button();

		return true;
	}
}